#
# Example 11-4
# The Cgi_Parse and Cgi_Value procedures.
#

proc Cgi_Parse {} {
	global cgi env
	if [info exists env(QUERY_STRING)] {
		# This comes from GET-style forms
		set query $env(QUERY_STRING)
	} elseif {[info exists env(CONTENT_LENGTH)]} {
		# This comes from POST-style forms
		set query [read stdin $env(CONTENT_LENGTH)]
	} else {
		# No content-length so it is only safe to read one line
		gets stdin query
	}
	foreach {name value} [split $query &=] {
		lappend cgi([Url_Decode $name]) [Url_Decode $value]
	}
}
proc Cgi_Value {name} {
	global cgi
	if ![info exists cgi($name)] {
		return {}
	} elseif {[llength $cgi($name)] == 1} {
		# Strip a level of listing for convenience
		return [lindex $cgi($name) 0]
	} else {
		# Return the whole list of values
		return $cgi($name)
	}
}


