/*
 * Example 41-13
 * The Makefile.in template.
 */

# The following definitions create Makefile variables
# that get values from autoconf variables.

CC = @CC@
TCL_LIB_SPEC =					@TCL_LIB_SPEC@
TK_LIB_SPEC =					@TK_LIB_SPEC@
LIBS =					$(TCL_LIB_SPEC) @TCL_LIBS@
TK_LIBS =					$(TK_LIB_SPEC) $(TCL_LIB_SPEC) @TK_LIBS@
DEFS =					@DEFS@ @TK_DEFS@ @TCL_DEFS@
SHLIB_CFLAGS =					@TCL_SHLIB_CFLAGS@
SHLIB_LD =					@TCL_SHLIB_LD@
SHLIB_LD_LIBS =					@TCL_SHLIB_LD_LIBS@
SHLIB_SUFFIX =					@TCL_SHLIB_SUFFIX@
SRC_DIR =					@srcdir@
TCL_INCLUDE_DIR=					@TCL_PREFIX@/include

CC_SWITCHES = -g
CFLAGS = $(CC_SWITCHES) -I${SRC_DIR} -I${TCL_INCLUDE_DIR} \
	$(DEFS)
all: mytcl mywish simple random${SHLIB_SUFFIX}

random${SHLIB_SUFFIX}: $(SRC_DIR)/randomPkg.c
	$(CC) -c $(CFLAGS) ${SHLIB_CFLAGS} $(SRC_DIR)/randomPkg.c
	${SHLIB_LD} -o random${SHLIB_SUFFIX} randomPkg.o $(SHLIB_LD_LIBS)

DBG_OBJS = Dbg.o Dbg_cmd.o
DBG_INCLUDE_DIR = @DBG_INCLUDE_DIR@
Dbg.o : Dbg.c
	$(CC) -c Dbg.c $(CFLAGS) -I$(DBG_INCLUDE_DIR)
Dbg_cmd.o : Dbg_cmd.c
	$(CC) -c Dbg_cmd.c $(CFLAGS) -I$(DBG_INCLUDE_DIR) \
		-DDBG_VERSION=\"@DBG_VERSION@\"

MY_OBJS = tclMain.o randomPkg.o tclInvoke.o
mytcl: $(MY_OBJS)
	$(CC) -o mytcl $(MY_OBJS) $(LIBS)

simple: cprog1.o
	$(CC) -o simple cprog1.o $(LIBS)

TK_OBJS = tkMain.o tkWidget.o tkImgPixmap.o $(DBG_OBJS)
mywish: $(TK_OBJS)
	$(CC) -o mywish $(TK_OBJS) $(TK_LIBS)

clean:
	rm -f *.o *${SHLIB_SUFFIX} config.cache config.log \
		config.status mywish mytcl

distclean: clean
	rm -f Makefile


